package cn.superdesk.uniorder.dao.mapper.invoice.customer.invoiced;

import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLog;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceInvoicedBackCollectionOperationLogMapper {
    long countByExample(InvoiceInvoicedBackCollectionOperationLogExample example);

    int deleteByExample(InvoiceInvoicedBackCollectionOperationLogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceInvoicedBackCollectionOperationLog record);

    int insertSelective(InvoiceInvoicedBackCollectionOperationLog record);

    List<InvoiceInvoicedBackCollectionOperationLog> selectByExample(InvoiceInvoicedBackCollectionOperationLogExample example);

    InvoiceInvoicedBackCollectionOperationLog selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceInvoicedBackCollectionOperationLog record, @Param("example") InvoiceInvoicedBackCollectionOperationLogExample example);

    int updateByExample(@Param("record") InvoiceInvoicedBackCollectionOperationLog record, @Param("example") InvoiceInvoicedBackCollectionOperationLogExample example);

    int updateByPrimaryKeySelective(InvoiceInvoicedBackCollectionOperationLog record);

    int updateByPrimaryKey(InvoiceInvoicedBackCollectionOperationLog record);
}
